.nova-poshta-button {
  display: flex;
  flex-direction: column;
  padding: 11px 40px 11px 16px;
  border: 1px solid #E2E8F0;
  border-radius: 12px;
  font-family: Inter, sans-serif;
  background-color: #fff;
  cursor: pointer;
  max-width: 344px;
  position: relative;
  box-sizing: border-box;
  margin-top: 85px;
}
.nova-poshta-button.button-horizontal {
  flex-direction: row;
  align-items: center;
  gap: 10px;
}
.nova-poshta-button img {
  width: 24px;
  height: 24px;
  margin-right: 10px;
}
.np-text {
  display: flex;
}
.nova-poshta-button .angle {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 20px;
  height: 16px;
}
.np-logo {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}
.np-logo-no-margin {
  margin: 0;
}
.np-modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}
.np-modal-header {
  position: relative;
  height: 80px;
  padding: 0 20px;
  border-bottom: 1px solid #E2E8F0;
  line-height: 80px;
}
.np-modal {
  position: relative;
  width: 80%;
  height: 80%;
  background-color: white;
  overflow: hidden;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.np-modal-header h2 {
  margin: 0;
  font-family: Inter, sans-serif;
  font-size: 20px;
  line-height: 80px;
  font-weight: 600;
}
.np-modal-close {
  cursor: pointer;
  font-size: 32px;
  color: #333;
  position: absolute;
  right: 0;
  top: 0;
  width: 40px;
  height: 100%;
}
.np-modal-iframe {
  width: 100%;
  height: calc(100% - 81px);
  border: none;
}
.np-wrapper {
  display: flex;
  flex-direction: column;
  font-family: Inter, sans-serif;
  font-weight: 500;
}
.np-wrapper .np-text{
  font-size: 16px;
  line-height: 21px;
}
.np-wrapper .np-text-description{
  font-size: 14px;
  font-weight: 400;
  line-height: 18px;
  color: #475569;
}
.np-text-row{
  display: flex;
  flex-direction: row;
}
@media screen and (max-width: 767px) {
  .np-modal {
    width: 100vw;
    height: 100vh;
  }
  .np-modal-header {
    display: none;
  }
  .np-modal-iframe {
    height: 100%;
  }
}
